scala.swing

# RootPanel

#### trait RootPanel extends Container

The root of a component hierarchy. Contains at most one component.

Source
  RootPanel.scala
See also

  javax.swing.RootPaneContainer

Linear Supertypes
Container, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Known Subclasses
Dialog, Frame, MainFrame, RichWindow, UI, Undecorated, Window
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RootPanel
2. Container
3. UIElement
4. LazyPublisher
5. Publisher
6. Reactor
7. Proxy
8. AnyRef
9. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def peer: java.awt.Component with RootPaneContainer

   The underlying Swing peer.

   The underlying Swing peer.

   Definition Classes
     RootPanel → UIElement

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from RootPanel to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (RootPanel, B)

   Implicit information
     This member is added by an implicit conversion from RootPanel to ArrowAssoc[RootPanel] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### def background: Color

   Definition Classes
     UIElement

10. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

11. #### def bounds: java.awt.Rectangle

    Definition Classes
      UIElement

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

13. #### def contents: Seq[Component]

    At most one component.

    At most one component.

    Definition Classes
      RootPanel → Container

14. #### def contents_=(c: Component): Unit

15. #### def cursor: Cursor

    Definition Classes
      UIElement

16. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

17. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

18. #### def displayable: Boolean

    Definition Classes
      UIElement

19. #### def ensuring(cond: (RootPanel) ⇒ Boolean, msg: ⇒ Any): RootPanel

    Implicit information
      This member is added by an implicit conversion from RootPanel to Ensuring[RootPanel] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: (RootPanel) ⇒ Boolean): RootPanel

    Implicit information
      This member is added by an implicit conversion from RootPanel to Ensuring[RootPanel] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean, msg: ⇒ Any): RootPanel

    Implicit information
      This member is added by an implicit conversion from RootPanel to Ensuring[RootPanel] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean): RootPanel

    Implicit information
      This member is added by an implicit conversion from RootPanel to Ensuring[RootPanel] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

24. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

25. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

26. #### def font: Font

    Definition Classes
      UIElement

27. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

28. #### def foreground: Color

    Definition Classes
      UIElement

29. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

30. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from RootPanel to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

31. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

32. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

33. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

34. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

35. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

36. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

37. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

38. #### def locale: Locale

    Definition Classes
      UIElement

39. #### def location: java.awt.Point

    Definition Classes
      UIElement

40. #### def locationOnScreen: java.awt.Point

    Definition Classes
      UIElement

41. #### def maximumSize: java.awt.Dimension

    Definition Classes
      UIElement

42. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

43. #### def minimumSize: java.awt.Dimension

    Definition Classes
      UIElement

44. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

45. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

46. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

47. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

48. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

49. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

50. #### def preferredSize: java.awt.Dimension

    Definition Classes
      UIElement

51. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

52. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

53. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

54. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

55. #### def repaint(): Unit

    Definition Classes
      UIElement

56. #### def self: java.awt.Component

    Definition Classes
      UIElement → Proxy

57. #### def showing: Boolean

    Definition Classes
      UIElement

58. #### def size: java.awt.Dimension

    Definition Classes
      UIElement

59. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

60. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

61. #### def toString(): String

    Returns a string representation of the object.

    Returns a string representation of the object.

    The default representation is platform dependent.

    returns

      a string representation of the object.

    Definition Classes
      Proxy → Any

62. #### def toolkit: Toolkit

    Definition Classes
      UIElement

63. #### def unsubscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

64. #### def visible: Boolean

    Definition Classes
      UIElement

65. #### def visible_=(b: Boolean): Unit

    Definition Classes
      UIElement

66. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

67. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

68. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

69. #### def →[B](y: B): (RootPanel, B)

    Implicit information
      This member is added by an implicit conversion from RootPanel to ArrowAssoc[RootPanel] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from RootPanel to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (rootPanel: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from RootPanel to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (rootPanel: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: RootPanel

   Implicit information
     This member is added by an implicit conversion from RootPanel to ArrowAssoc[RootPanel] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (rootPanel: ArrowAssoc[RootPanel]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: RootPanel

   Implicit information
     This member is added by an implicit conversion from RootPanel to Ensuring[RootPanel] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (rootPanel: Ensuring[RootPanel]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Container

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from RootPanel to StringAdd

### Inherited by implicit conversion any2stringfmt from RootPanel to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from RootPanel to ArrowAssoc[RootPanel]

### Inherited by implicit conversion any2Ensuring from RootPanel to Ensuring[RootPanel]

### Ungrouped